# Uses of Enum Class
org.apache.sysds.runtime.lineage.LineageItem.LineageItemType

Packages that use LineageItem.LineageItemType
Package
Description
org.apache.sysds.runtime.lineage

## Uses of LineageItem.LineageItemType in org.apache.sysds.runtime.lineage

Methods in org.apache.sysds.runtime.lineage that return LineageItem.LineageItemType
Modifier and Type
Method
Description
`LineageItem.LineageItemType`
LineageItem.`getType()`
`static LineageItem.LineageItemType`
LineageItemUtils.`getType(String str)`
`static LineageItem.LineageItemType`
LineageItem.LineageItemType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LineageItem.LineageItemType[]`
LineageItem.LineageItemType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.